Package org.drinkless.tdlib

# Class TdApi.ProcessPushNotification

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.ProcessPushNotification

Enclosing class:
  `TdApi`

public static class TdApi.ProcessPushNotification extends TdApi.Function<TdApi.Ok>
Handles a push notification. Returns error with code 406 if the push notification is not supported and connection to the server is required to fetch new data. Can be called before authorization.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `payload`
  JSON-encoded push notification payload with all fields sent by the server, and "google.sentTime" and "google.notification.sound" fields added.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProcessPushNotification()`
  Default constructor for a function, which handles a push notification.
  `ProcessPushNotification(String payload)`
  Creates a function, which handles a push notification.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### payload

    public String payload
    JSON-encoded push notification payload with all fields sent by the server, and "google.sentTime" and "google.notification.sound" fields added.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ProcessPushNotification

    public ProcessPushNotification()
    Default constructor for a function, which handles a push notification. Returns error with code 406 if the push notification is not supported and connection to the server is required to fetch new data. Can be called before authorization.

    Returns `Ok`

  - ### ProcessPushNotification

    public ProcessPushNotification(String payload)
    Creates a function, which handles a push notification. Returns error with code 406 if the push notification is not supported and connection to the server is required to fetch new data. Can be called before authorization.

    Returns `Ok`

    Parameters:
      `payload` - JSON-encoded push notification payload with all fields sent by the server, and "google.sentTime" and "google.notification.sound" fields added.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR